#include <wifidebug.h>
#include<TCPserver.h>



#ifdef DebugCalibration
const char *ssid = "SmartForCalibration";
const char *password = "123456789";
IPAddress local_IP(192, 168, 1,2);
IPAddress gateway(192, 168, 1, 2);
IPAddress subnet(255, 255, 255, 0);
TCPserver *tcpserver;
void beginWIFI(){
    tcpserver=new TCPserver(23);
  WiFi.mode(    WIFI_MODE_AP   );
  Serial.println("init webserver ok 33333");
  WiFi.softAPConfig(local_IP, gateway, subnet);
  boolean result = WiFi.softAP(ssid, password);

 tcpserver->loop();

}
void tcploop(){
  tcpserver->loop();
}


void printbytcpserver(String str)
{
  tcpserver->SendDataToClinet(str);
  tcpserver->loop();
 // Serial.println(str);

}
#endif
#ifndef DebugCalibration
void beginWIFI(){}
void printbytcpserver(String str){}
void tcploop(){}
#endif

